# ci-openbsd host

OpenBSD continous integration build machine has two disks. The root image is
generated by `tools/create-openbsd-gce-ci.sh`. This disk is disposable and will
be rebuilt when compatibility bumps in OpenBSD-current are encountered. Manual
tweaks to this image without updating the script will be lost.

There is also a persistent disk with build artifacts and syz-bot state. It is
mounted as `/syzkaller`.


The original image was created by running these GCE commands:

```shell
gcloud compute --project syzkaller disks delete ci-openbsd-syzkaller --zone "us-central1-c"
gcloud compute --project syzkaller disks create ci-openbsd-syzkaller \
  --description "/syzkaller FS" --size "1000GB" --zone "us-central1-c" --type pd-ssd
```

Once the host system is booted, the file system was provisioned with:
```shell
ci-openbsd# fdisk -y -i sd1
Writing MBR at offset 0.
ci-openbsd# disklabel -E sd1
Label editor (enter '?' for help at any prompt)
> a
partition: [a]
offset: [64]
size: [419424956]
FS type: [4.2BSD]
> w
> q
No label changes.
ci-openbsd# newfs -m 0 /dev/rsd1a
ci-openbsd# mount /syzkaller
ci-openbsd# chown syzkaller:syzkaller /syzkaller
```

Persistent disk structure:

```
/syzkaller
    /config-openbsd.ci - syz-ci config stored internally
    /userspace/{key,image} - produced by create-openbsd-vmm-worker.sh
```
